/*
 * Copyright (c) 2002-2007 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
package com.jniwrapper.win32.ie.samples.demo.components;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.plaf.basic.BasicButtonUI;

/**
 * @author Serge Piletsky
 */
public class ActionButton extends JButton
{
    public ActionButton(String hint, Action action)
    {
        super(action);
        setUI(new BasicButtonUI());
        setBorder(null);
        setBorderPainted(false);
        setRolloverEnabled(true);
        setToolTipText(hint);
        setText(null);
        setFocusable(false);
        setDefaultCapable(false);
    }
}
